Core - Bug # 37896

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: Under Review Priority: Should have

Author: Bart Dubelaar Category: Backend User Interface
Created: 2012-06-11 Assigned To:

Updated: 2015-07-21 Due date:

TYPO3 Version: 45

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subject: Live search in workspace shows move-to placeholders

Description

The live search foldout also lists placeholders for draft changes, clicking an item will open the placeholder itself for editing and not the
draft version.

Related issues:
related to Core - Bug # 36282: Live search result shows titles and icons of I... New 2012-04-18

History

#1 - 2012-08-01 14:41 - Bart Dubelaar

The problem is slightly smaller in version 4.6 and up, as the patch for this issue http:/forge.typo3.org/issues/31761 will confine searches for integers to

the uid and pid field. However searching for the string 'placeholder’ still reveals the placeholders.

#2 - 2012-08-01 15:26 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13409

#3 - 2012-08-06 09:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13409

#4 - 2012-08-06 09:41 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13409

#5 - 2012-08-08 10:01 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13409
#6 - 2012-08-08 10:06 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13409

#7 - 2012-08-08 10:15 - Bart Dubelaar
- File placeholderresult.png added

How to reproduce:

In 4.5:

1. Create a new page in the live workspace and note the uid

2. Move the page to another location in a draft workspace

3. Stay in the draft workspace and search for the uid in the upper right search box

The live results will now show the page itself and the placeholder. See attached screenshot.

In 4.6 and up searching for integers is confined to the uid and pid field so the problem is less prominent.

However the problem still shows when searching for the word "placeholder":

1. Create a new page in the live workspace

2. Move the page to another location in a draft workspace

3. Stay in the draft workspace and search for the word "placeholder" in the upper right search box

#8 - 2013-03-17 21:08 - Oliver Hader
- Parent task set to #46389

#9 - 2014-01-16 23:19 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/13409

#10 - 2014-02-17 16:08 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/13409

#11 - 2014-12-13 20:06 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/13409

#12 - 2015-07-21 10:24 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/13409
Files

placeholderresult.png 18 kB 2012-08-08 Bart Dubelaar
